package com.fq.channel.sdk.api.bean;

import android.os.Parcel;
import android.os.Parcelable;

import com.fq.channel.sdk.base.utils.Utils;

/**
 * Created by Ethan on 2017/8/17.
 * 提供个CP传入支付信息
 */

public class PaymentInfo {

    /**
     * 必须字段
     */
    //订单金额
    private String orderAmount;

    //商品名称
    private String subject;
//    private String subject = Utils.getString(Utils.getIdentifier("default_subject","string"));

    //角色名
    private String roleName;

    //cp订单号
    private String cpBillNo;

    //用户在凤起平台的唯一标识
    private String uid;

    //区服id
    private String serverId;

    //拓展信息
    private String extraInfo;


    /**
     * 非必须字段
     */
    //订单备注
    private String remark;

    //角色等级
    private String roleLevel;

    //角色id
    private String roleId;

    //帮派、工会名
    private String partyName;

    //区服名
    private String serverName;

    //Td_AppId
    private String tdAppId;

    public String getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(String orderAmount) {
        this.orderAmount = orderAmount;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getCpBillNo() {
        return cpBillNo;
    }

    public void setCpBillNo(String cpBillNo) {
        this.cpBillNo = cpBillNo;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getServerId() {
        return serverId;
    }

    public void setServerId(String serverId) {
        this.serverId = serverId;
    }

    public String getExtraInfo() {
        return extraInfo;
    }

    public void setExtraInfo(String extraInfo) {
        this.extraInfo = extraInfo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRoleLevel() {
        return roleLevel;
    }

    public void setRoleLevel(String roleLevel) {
        this.roleLevel = roleLevel;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getPartyName() {
        return partyName;
    }

    public void setPartyName(String partyName) {
        this.partyName = partyName;
    }

    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    public String getTdAppId() {
        return tdAppId;
    }

    public void setTdAppId(String tdAppId) {
        this.tdAppId = tdAppId;
    }
}
